<?php

namespace frontend\models;

use Yii;

/**
 * This is the model class for table "bit_role".
 *
 * @property integer $id
 * @property string $create_date
 * @property string $modify_date
 * @property string $authority_list_store
 * @property string $description
 * @property integer $is_system
 * @property string $name
 */
class Role extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'bit_role';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['create_date', 'modify_date'], 'safe'],
            [['name'], 'required'],
            [['authority_list_store', 'description', 'name'], 'string'],
            [['is_system'], 'number'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'create_date' => '创建日期',
            'modify_date' => '修改日期',
            'authority_list_store' => '权限',
            'description' => '描述',
            'is_system' => '系统内置',
            'name' => '角色名称',
        ];
    }
    
}
